clear; clc;
%% Example code for running detect_creaky_voice() function:

% Load audio and resample it to 16Khz (required)
[y,fs0] = audioread('test1.wav');
fs= 16e3;

y = resample(y,fs,fs0);
t = (0:size(y,1)-1)'/fs;

% Run detect_creaky_voice() function
[crpp,crbb] = detect_creaky_voice(y,fs);

% PLot Results
figure(1);
clf;

ax(1)=subplot(2,1,1);
plot(t,y)
title('detect creaky voice example (Drugman & Kane et. al)');
xlabel('time (sec)')

ax(2)=subplot(2,1,2);
plot(t(crpp(:,1)),crpp(:,2));
hold on;
plot(t(crbb(:,1)),crbb(:,2));
xlabel('time (sec)')

legend({'Creak Probability','Creak Detection'});

linkaxes(ax,'x');

